path: /build/build/baselayout-sys-apps-3.0+6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-apps/baselayout -pv -t && \
    emerge -j ${JOBS} --nodeps sys-apps/baselayout && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/baselayout && \
    luet-portage --dir /pkgdir/baselayout sys-apps/baselayout && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  - sed -i -e 's|^VERSION_ID.*|VERSION_ID=25.12|g' -e 's|^VERSION=.*|VERSION="25.12
    (Terragon)"|g' os-release && cp os-release /pkgdir/baselayout/etc/os-release &&
    mv /pkgdir/baselayout/etc/issue /pkgdir/baselayout/etc/issue.simple && cp issue
    /pkgdir/baselayout/etc/issue
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:b45987132418e2fce057014ceccbb2c5da1f5e16403ec56909d80afddec4a925
  package:
    name: baselayout
    version: 3.0+6
    category: sys-apps
    requires:
    - name: macaroni-funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Filesystem baselayout and init scripts
    uri:
    - ""
    license: GPL-2
    buildtimestamp: 2025-12-29 15:02:01.50829803 +0000 UTC m=+69.541929592
    labels:
      IUSE: build kernel_FreeBSD kernel_linux +split-usr
      RDEPEND: '!>=dev-util/meson-0.60'
      emerge.packages: sys-apps/baselayout
      kit: core-kit
      macaroni.version: "25.12"
      original.package.name: sys-apps/baselayout
      original.package.slot: "0"
      original.package.version: "3.0"
    treedir: /build/packages
  package_dir: /pkgdir/baselayout
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a67bec89838b8b6e6be538f2213a8ad381c550bf005a3e9ec2b09048a2d53854
compressiontype: zstd
files:
- etc/env.d/00basic
- etc/env.d/50baselayout
- etc/filesystems
- etc/inputrc
- etc/issue
- etc/issue.logo
- etc/issue.simple
- etc/modprobe.d/aliases.conf
- etc/modprobe.d/i386.conf
- etc/networks
- etc/os-release
- etc/profile
- etc/protocols
- etc/services
- etc/shells
- etc/sysctl.conf
- usr/share/baselayout/fstab
- usr/share/baselayout/group
- usr/share/baselayout/issue.devfix
- usr/share/baselayout/passwd
- usr/share/baselayout/shadow
- var/db/pkg/sys-apps/baselayout-3.0/BUILD_TIME
- var/db/pkg/sys-apps/baselayout-3.0/CATEGORY
- var/db/pkg/sys-apps/baselayout-3.0/CBUILD
- var/db/pkg/sys-apps/baselayout-3.0/CFLAGS
- var/db/pkg/sys-apps/baselayout-3.0/CHOST
- var/db/pkg/sys-apps/baselayout-3.0/CONTENTS
- var/db/pkg/sys-apps/baselayout-3.0/COUNTER
- var/db/pkg/sys-apps/baselayout-3.0/CTARGET
- var/db/pkg/sys-apps/baselayout-3.0/CXX
- var/db/pkg/sys-apps/baselayout-3.0/CXXFLAGS
- var/db/pkg/sys-apps/baselayout-3.0/DEFINED_PHASES
- var/db/pkg/sys-apps/baselayout-3.0/DESCRIPTION
- var/db/pkg/sys-apps/baselayout-3.0/EAPI
- var/db/pkg/sys-apps/baselayout-3.0/FEATURES
- var/db/pkg/sys-apps/baselayout-3.0/INHERITED
- var/db/pkg/sys-apps/baselayout-3.0/IUSE
- var/db/pkg/sys-apps/baselayout-3.0/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/baselayout-3.0/KEYWORDS
- var/db/pkg/sys-apps/baselayout-3.0/LDFLAGS
- var/db/pkg/sys-apps/baselayout-3.0/LICENSE
- var/db/pkg/sys-apps/baselayout-3.0/PF
- var/db/pkg/sys-apps/baselayout-3.0/SIZE
- var/db/pkg/sys-apps/baselayout-3.0/SLOT
- var/db/pkg/sys-apps/baselayout-3.0/USE
- var/db/pkg/sys-apps/baselayout-3.0/baselayout-3.0.ebuild
- var/db/pkg/sys-apps/baselayout-3.0/environment.bz2
- var/db/pkg/sys-apps/baselayout-3.0/repository
package_cacheimage: ""
runtime:
  name: baselayout
  version: 3.0+6
  category: sys-apps
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Filesystem baselayout and init scripts
  uri:
  - ""
  license: GPL-2
  labels:
    IUSE: build kernel_FreeBSD kernel_linux +split-usr
    RDEPEND: '!>=dev-util/meson-0.60'
    emerge.packages: sys-apps/baselayout
    kit: core-kit
    macaroni.version: "25.12"
    original.package.name: sys-apps/baselayout
    original.package.slot: "0"
    original.package.version: "3.0"
